#!/usr/bin/env python

"""
    test program
    
"""

from PyQt4 import QtGui,QtCore

class TestWidget(QtGui.QWidget):
    def __init__(self,parent=None):
        QtGui.QWidget.__init__(self,parent)
        layout = QtGui.QVBoxLayout()
        self.labelA = QtGui.QLineEdit(self)
        self.labelB = QtGui.QSpinBox(self)
        self.connect(self.labelB,QtCore.SIGNAL("editingFinished()"),self.programaticallyChangeA)
        self.connect(self.labelA,QtCore.SIGNAL("textChanged( QString )"),self.programaticallyChangeB)
        layout.addWidget(self.labelA)
        layout.addWidget(self.labelB)
        self.setLayout(layout)
    def programaticallyChangeB(self,text):
        try:
            self.labelB.setValue(int(text))
        except:
            pass
    def programaticallyChangeA(self):
        try:
            self.labelA.setText(str(self.labelB.value()))
        except:
            pass
app = QtGui.QApplication([])
widge = TestWidget()
widge.show()
app.exec_()
